Parameter (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.Parameter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface Parameter

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface Parameter

extends ModelObject

Naming Rules:
  0="ownerType,owner,name"
Persistable:
  true
Table Name:
  PARAM
Display Name:
  name

Field Summary
`static int` | `APPLICATION` Types of Query Contexts.
`static int` | `LITERAL`
`static int` | `MODULE`
`static int` | `PACKAGE`
`static int` | `QUERY` Types of value types.
`static int` | `SCRIPT`
`static int` | `TARGET`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getOwnerType()`
`int` | `getQueryContext()`
`java.lang.String` | `getValue()`
`int` | `getValueType()`
`boolean` | `hasName()`
`boolean` | `hasOwner()`
`boolean` | `hasOwnerType()`
`boolean` | `hasQueryContext()`
`boolean` | `hasValue()`
`boolean` | `hasValueType()`
`void` | `setName(java.lang.String s)`
`void` | `setOwner(java.lang.String s)` Owner is the actual name of the owner, like OrgerManagementWebApp
`void` | `setOwnerType(java.lang.String s)` Owner type is the "type" of the owner, like ModuleDefinition.class.getName()
`void` | `setQueryContext(int s)`
`void` | `setValue(java.lang.String s)`
`void` | `setValueType(int s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### APPLICATION

    static final int APPLICATION

  Types of Query Contexts. For valueType of query, one of this has to be set.

  See Also:
    Constant Field Values

### MODULE

    static final int MODULE

See Also:
  Constant Field Values

### PACKAGE

    static final int PACKAGE

See Also:
  Constant Field Values

### TARGET

    static final int TARGET

See Also:
  Constant Field Values

### QUERY

    static final int QUERY

  Types of value types.

  See Also:
    Constant Field Values

### LITERAL

    static final int LITERAL

See Also:
  Constant Field Values

### SCRIPT

    static final int SCRIPT

See Also:
  Constant Field Values

Method Detail

### setName

    void setName(java.lang.String s)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setOwnerType

    void setOwnerType(java.lang.String s)

  Owner type is the "type" of the owner, like ModuleDefinition.class.getName()

  Parameters:
    `s` -

### getOwnerType

    java.lang.String getOwnerType()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOwnerType

    boolean hasOwnerType()

### setOwner

    void setOwner(java.lang.String s)

  Owner is the actual name of the owner, like OrgerManagementWebApp

  Parameters:
    `s` -

### getOwner

    java.lang.String getOwner()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOwner

    boolean hasOwner()

### setValue

    void setValue(java.lang.String s)

### getValue

    java.lang.String getValue()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasValue

    boolean hasValue()

### setValueType

    void setValueType(int s)

### getValueType

    int getValueType()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasValueType

    boolean hasValueType()

### setQueryContext

    void setQueryContext(int s)

### getQueryContext

    int getQueryContext()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasQueryContext

    boolean hasQueryContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD